Downgrading any package including the kernel is done for a reason.

Most of the time we downgrade the package because the new update is malfunctioning with other software or with our hardware.

We have an application already pre-installed called : downgrade.

You can use this application to get an older version back of the needed software. You need to know the package name to do so.

Your packages are coming from the archive : https://archive.archlinux.org

Downgrading to an earlier kernel was not possible due to the dependency of virtualbox-guest-modules-arch demanding the kernel to be 4.18 or higher.